header {
    background-color: #333333;
    color: white;
    padding: 1rem 0;
    margin: 0 0 1rem 0;
}

header h1 {
    color: #B6D741;
    max-width: 80rem;
    margin: 0 auto;
}

header h1 small {
    color: white;
}

main {
    max-width: 80rem;
    margin: 0 auto;
}

label {
    display: block;
}

textarea {
    display: block;
    width: 100%;
    height: 15rem;
}

#play {
    vertical-align: top;
    cursor: pointer;
    width: 3rem;
    height: 3rem;
    border-radius: 100%;
    border: none;
    outline: none;
    background-color: #a82c6f;
    margin-left: 1rem;
}

#play.recording-state {
    animation-name: pulse;
    animation-duration: 1.5s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

@keyframes pulse {
    0% {box-shadow: 0px 0px 5px 0px rgba(173,0,0,.3);}
    65%{box-shadow: 0px 0px 5px 13px rgba(173,0,0,.3);}
    90%{box-shadow: 0px 0px 5px 13px rgba(173,0,0,0);}
}

button[type="submit"] {
    cursor: pointer;
    background-color: #49c7ff;
    border: none;
    color: white;
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
}

button[type="submit"]:hover {
    outline: 1px solid black;
}

.results .title {
    font-weight: bold;
}


progress[value] {
    -webkit-appearance: none;
    appearance: none;  
    display: block;
    position: relative;
    max-width: 30rem;
    width: 100%;
    height: 2rem;
    margin: 0 0 .75rem 0;
    background: #ccc;
}

progress[value]::-webkit-progress-value {
    position: relative;
}

progress[value]::-webkit-progress-value::before {
    content: "test";
    position: absolute;
    right: 0;
    top: 0;
    color: black;
}

progress[value]::progress-bar {
    background-color: #eee;
    border-radius: 2px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.25) inset;
}

progress[value].anger::-webkit-progress-value {
    background-color: #ff7279;
}

progress[value].sadness::-webkit-progress-value {
    background-color: #49c7ff;
}

progress[value].disgust::-webkit-progress-value {
    background-color: #00b67c;
}

progress[value].joy::-webkit-progress-value {
    background-color: #f9f871;
}

progress[value].neutral::-webkit-progress-value {
    background-color: #9aaebb;
}

progress[value].fear::-webkit-progress-value {
    background-color: #374955;
}


body {
    background: #F0F0F0;
}

main {
    background: white;

    padding: 2em;

    border: 0px solid #E0E0E0;
    border-radius: 1em;
    animation: fadein 1s;
}

@keyframes fadein {
    from { opacity: 0; transform: translateY(-2em);}
    to   { opacity: 1; }
}

div {
    text-align: center;
}

div#table {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(15em, 1fr));
}

#gauge-container {
    display: inline-block;
}

span {
    display: inline-block;
    padding: 0;
    border-radius: 4px;
}

i {
    padding: 0.2em;
}

.annotation {
    opacity: 30%;
    margin: 0.25em;
}

.annotation.activated i {
    background: #0000C020;
    opacity: 100%;
    animation: opa 0.5s;
}

.activated   ,
.activated * {
    opacity: 100%;
}

@keyframes opa {
    0%  {opacity: 20%;}
    100% {opacity: 90%;}
}

i {
    font-size: 32pt;
}

.annotation .meters {
    display: flex;
    gap: 0.25rem;
}

/* 
 * Placeholder tracked event 
 *
 * @see https://css-tricks.com/aspect-ratio-boxes/
 */
.thumbnail {
    position: relative;
    display: block;
    margin: 9px auto 1rem auto;
    border: 1px solid #ccc;
    width: 100%;
    height: 0;
    padding-bottom: 56.25%;
    background-color: #333;
    overflow: hidden;
}

.thumbnail img {
    max-width: 120%;
    position: absolute;
    top: -9999px;
    left: -9999px;
    right: -9999px;
    bottom: -9999px;
    margin: auto;
}

.thumbnail .btn-group {
    position: absolute;
    left: 1rem;
    right: 1rem;
    z-index: 1000;
    top: 50%;
    margin-top: -2rem;
    transition: opacity .3s ease-out;
}

.thumbnail .btn-group .button {
    display: block;
    width: 100%;
    border: none;
    padding: 0.7rem 0.7rem;
    margin: 0 0 1rem 0;
    background-color: #b6d741;
    color: #333;
    font-size: 1rem;
    line-height: 1;
    text-align: center;
    cursor: pointer;
    border-radius: 0.5rem;
}

.button input[type="file"] {
    display: none;
}


textarea {
    padding: 1em;
    font-size: 14pt;
    border: 2px solid #E0E0E0;
    border-radius: 0.5em;
    outline: 0 solid black;
}

button {
    color: white;
    background: seagreen;
    font-size: 14pt;
    font-weight: bold;
    width: 100%;
    padding: 1em;
    border: 0 solid blue;
    border-radius: 0.5em;
    cursor: pointer;
}

button:active {
    background: blue;
}

#none {
    color: dodgerblue;
}

#hope {
    color: gold;
}

#offensive {
    color: red;
}

#hate {
    color: black;
}

#Not-relevant {
    color: dodgerblue;
}

#individual {
    color: blue;
}

#group {
    color: red;
}

#safe {
    color: dodgerblue;
}

#misogyny-related i {
    color: pink;
    background: linear-gradient(red, pink);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

#homophoby-related i {
    color: dodgerblue;
    background: linear-gradient(red, red, orange, yellow, green, blue, purple, purple);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

#transphoby-related i {
    color: silver;
    background: linear-gradient(cyan, pink, white, pink, cyan);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

#racism-related i {
    color: blue;
    background: linear-gradient(white, dodgerblue, green);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

#aporophobia-related i {
    color: green;
    background: linear-gradient(green, brown);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

#profession-related i {
    color: black;
}

#fatphobia-related i {
    color: orange;
}

#disablism-related i {
    color: blue;
    background: linear-gradient(blue, navy);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
}

label {
    padding-top: 0.5em;
}

meter {
    transform: rotate(180deg);
    writing-mode: vertical-rl;
    overflow: visible;
}

meter {
    background: #E0E0E0;

    border: none;
    border-radius: 4px;
}

.activated meter {
    background: #EEE;
}

meter::-moz-meter-bar    ,
meter::-webkit-meter-bar {
    border: none;
    border-radius: 0 0 4px 4px;
}


[id="-1"] meter::-moz-meter-bar, meter::-webkit-meter-bar {background: royalblue;}
[id="0"]  meter::-moz-meter-bar, meter::-webkit-meter-bar {background: purple;}
[id="1"]  meter::-moz-meter-bar, meter::-webkit-meter-bar {background: crimson;}
[id="2"]  meter::-moz-meter-bar, meter::-webkit-meter-bar {background: orange;}
[id="3"]  meter::-moz-meter-bar, meter::-webkit-meter-bar {background: green;}
[id="4"]  meter::-moz-meter-bar, meter::-webkit-meter-bar {background: yellow;}
[id="5"]  meter::-moz-meter-bar, meter::-webkit-meter-bar {background: blue;}
[id="6"]  meter::-moz-meter-bar, meter::-webkit-meter-bar {background: lightgreen;}
[id="7"]  meter::-moz-meter-bar, meter::-webkit-meter-bar {background: black;}
[id="8"]  meter::-moz-meter-bar, meter::-webkit-meter-bar {background: pink;}
[id="9"]  meter::-moz-meter-bar, meter::-webkit-meter-bar {background: silver;}
[id="10"] meter::-moz-meter-bar, meter::-webkit-meter-bar {background: green;}
[id="11"] meter::-moz-meter-bar, meter::-webkit-meter-bar {background: olive;}
